SystemOrganization addCategory: #'Seaside-Tests-Environment'!

WAContextTestCase subclass: #WAStandardFilesTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-Environment'!

!WAStandardFilesTest methodsFor: 'utilities' stamp: 'jf 10/6/2008 14:55'!
assertFile: aString contentType: aMimeType handler: aHandler symbol: aSymbol library: aLibrary
	| context response |
	context := self requestContextWithUrl: '/seaside/files/', aLibrary name ,'/', aString.
	response := aHandler handleRequest: context.
	self assert: response status = 200.
	self assert: response contentType = aMimeType.
	self assert: response stream contents = (aLibrary perform: aSymbol)! !

!WAStandardFilesTest methodsFor: 'testing' stamp: 'jf 10/6/2008 14:53'!
testDeploymentFilenames
	| expected actual |
	expected := #( #externalAnchorsJs #kalseyTabsCss  #miscJs #shortcutsJs #windowCss).
	actual := WAStandardFiles new fileSelectors.
	"VW does not implement #= in Sets"
	self assert: actual size = expected size.
	expected do: [ :each |
		self assert: (expected includes: each)]! !

!WAStandardFilesTest methodsFor: 'testing' stamp: 'jf 10/6/2008 14:52'!
testKalseyTabs
	| handler |
	handler := WAFileHandler named: '/seaside/files/'.
	self
		assertFile: 'kalseyTabs.css'
		contentType: WAMimeType textCss
		handler: handler
		symbol: #kalseyTabsCss
		library: WAStandardFiles new! !

!WAStandardFilesTest methodsFor: 'testing' stamp: 'jf 10/6/2008 14:53'!
testKalseyTabsCascade
	| handler |
	handler := WAFileHandler named: '/seaside/files/'.
	self
		assertFile: 'kalseyTabs.css'
		contentType: WAMimeType textCss
		handler: handler
		symbol: #kalseyTabsCss
		library: WAStandardFiles new! !

!WAStandardFilesTest methodsFor: 'testing' stamp: 'jf 10/6/2008 14:53'!
testLiveUpdate
	| handler |
	handler := WAFileHandler named: '/seaside/files/'.
	self
		assertFile: 'misc.js'
		contentType: 'application/x-javascript' seasideMimeType
		handler: handler
		symbol: #miscJs
		library: WAStandardFiles new! !

!WAStandardFilesTest methodsFor: 'testing' stamp: 'jf 10/6/2008 14:53'!
testStandardFiles
	| actual expected |
	actual := WAStandardFiles new filenames.
	expected := #( 'kalseyTabs.css' 'window.css' 'externalAnchors.js' 'misc.js' 'shortcuts.js').
	"VW does not implement #= in Collection because you don't want that"
	self assert: actual size = expected size.
	expected do: [ :each |
		self assert: (actual includes: each) ]! !

!WAStandardFilesTest methodsFor: 'testing' stamp: 'jf 10/6/2008 14:53'!
testWindowCss
	| handler |
	handler := WAFileHandler named: '/seaside/files/'.
	self
		assertFile: 'window.css'
		contentType: WAMimeType textCss
		handler: handler
		symbol: #windowCss
		library: WAStandardFiles new! !
